org.apache.hadoop.security.proto

## Class SecurityProtos.CredentialsKVProto

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessage
      - - org.apache.hadoop.security.proto.SecurityProtos.CredentialsKVProto

- All Implemented Interfaces:
    com.google.protobuf.Message, com.google.protobuf.MessageLite, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Serializable, SecurityProtos.CredentialsKVProtoOrBuilder
  Enclosing class:
    SecurityProtos

      public static final class SecurityProtos.CredentialsKVProto
      extends com.google.protobuf.GeneratedMessage
      implements SecurityProtos.CredentialsKVProtoOrBuilder

  Protobuf type `hadoop.common.CredentialsKVProto`
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SecurityProtos.CredentialsKVProto.Builder` Protobuf type `hadoop.common.CredentialsKVProto`

    - ### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessage

      `com.google.protobuf.GeneratedMessage.BuilderParent, com.google.protobuf.GeneratedMessage.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage,BuilderType extends com.google.protobuf.GeneratedMessage.ExtendableBuilder>, com.google.protobuf.GeneratedMessage.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage>, com.google.protobuf.GeneratedMessage.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage>, com.google.protobuf.GeneratedMessage.FieldAccessorTable, com.google.protobuf.GeneratedMessage.GeneratedExtension<ContainingType extends com.google.protobuf.Message,Type>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ALIAS_FIELD_NUMBER`
    `static com.google.protobuf.Parser<SecurityProtos.CredentialsKVProto>` | `PARSER`
    `static int` | `SECRET_FIELD_NUMBER`
    `static int` | `TOKEN_FIELD_NUMBER`

    - ### Fields inherited from class com.google.protobuf.GeneratedMessage

      `alwaysUseFieldBuilders`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `String` | `getAlias()` `required string alias = 1;`
    `com.google.protobuf.ByteString` | `getAliasBytes()` `required string alias = 1;`
    `static SecurityProtos.CredentialsKVProto` | `getDefaultInstance()`
    `SecurityProtos.CredentialsKVProto` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `com.google.protobuf.Parser<SecurityProtos.CredentialsKVProto>` | `getParserForType()`
    `com.google.protobuf.ByteString` | `getSecret()` `optional bytes secret = 3;`
    `int` | `getSerializedSize()`
    `SecurityProtos.TokenProto` | `getToken()` `optional .hadoop.common.TokenProto token = 2;`
    `SecurityProtos.TokenProtoOrBuilder` | `getTokenOrBuilder()` `optional .hadoop.common.TokenProto token = 2;`
    `com.google.protobuf.UnknownFieldSet` | `getUnknownFields()`
    `boolean` | `hasAlias()` `required string alias = 1;`
    `int` | `hashCode()`
    `boolean` | `hasSecret()` `optional bytes secret = 3;`
    `boolean` | `hasToken()` `optional .hadoop.common.TokenProto token = 2;`
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `static SecurityProtos.CredentialsKVProto.Builder` | `newBuilder()`
    `static SecurityProtos.CredentialsKVProto.Builder` | `newBuilder(SecurityProtos.CredentialsKVProto prototype)`
    `SecurityProtos.CredentialsKVProto.Builder` | `newBuilderForType()`
    `protected SecurityProtos.CredentialsKVProto.Builder` | `newBuilderForType(com.google.protobuf.GeneratedMessage.BuilderParent parent)`
    `static SecurityProtos.CredentialsKVProto` | `parseDelimitedFrom(InputStream input)`
    `static SecurityProtos.CredentialsKVProto` | `parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static SecurityProtos.CredentialsKVProto` | `parseFrom(byte[] data)`
    `static SecurityProtos.CredentialsKVProto` | `parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static SecurityProtos.CredentialsKVProto` | `parseFrom(com.google.protobuf.ByteString data)`
    `static SecurityProtos.CredentialsKVProto` | `parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static SecurityProtos.CredentialsKVProto` | `parseFrom(com.google.protobuf.CodedInputStream input)`
    `static SecurityProtos.CredentialsKVProto` | `parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static SecurityProtos.CredentialsKVProto` | `parseFrom(InputStream input)`
    `static SecurityProtos.CredentialsKVProto` | `parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `SecurityProtos.CredentialsKVProto.Builder` | `toBuilder()`
    `protected Object` | `writeReplace()`
    `void` | `writeTo(com.google.protobuf.CodedOutputStream output)`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage

      `getAllFields, getDescriptorForType, getField, getRepeatedField, getRepeatedFieldCount, hasField, makeExtensionsImmutable, newFileScopedGeneratedExtension, newMessageScopedGeneratedExtension, parseUnknownField`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage

      `findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite

      `toByteArray, toByteString, writeDelimitedTo, writeTo`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLite

      `toByteArray, toByteString, writeDelimitedTo, writeTo`

- - ### Field Detail

    - #### PARSER

          public static com.google.protobuf.Parser<SecurityProtos.CredentialsKVProto> PARSER

    - #### ALIAS_FIELD_NUMBER

          public static final int ALIAS_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### TOKEN_FIELD_NUMBER

          public static final int TOKEN_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### SECRET_FIELD_NUMBER

          public static final int SECRET_FIELD_NUMBER

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getDefaultInstance

          public static SecurityProtos.CredentialsKVProto getDefaultInstance()

    - #### getDefaultInstanceForType

          public SecurityProtos.CredentialsKVProto getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### getUnknownFields

          public final com.google.protobuf.UnknownFieldSet getUnknownFields()

      Specified by:
        `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getUnknownFields` in class `com.google.protobuf.GeneratedMessage`

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage`

    - #### getParserForType

          public com.google.protobuf.Parser<SecurityProtos.CredentialsKVProto> getParserForType()

      Specified by:
        `getParserForType` in interface `com.google.protobuf.Message`
      Specified by:
        `getParserForType` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `getParserForType` in class `com.google.protobuf.GeneratedMessage`

    - #### hasAlias

          public boolean hasAlias()

      `required string alias = 1;`
      Specified by:
        `hasAlias` in interface `SecurityProtos.CredentialsKVProtoOrBuilder`

    - #### getAlias

          public String getAlias()

      `required string alias = 1;`
      Specified by:
        `getAlias` in interface `SecurityProtos.CredentialsKVProtoOrBuilder`

    - #### getAliasBytes

          public com.google.protobuf.ByteString getAliasBytes()

      `required string alias = 1;`
      Specified by:
        `getAliasBytes` in interface `SecurityProtos.CredentialsKVProtoOrBuilder`

    - #### hasToken

          public boolean hasToken()

      `optional .hadoop.common.TokenProto token = 2;`
      Specified by:
        `hasToken` in interface `SecurityProtos.CredentialsKVProtoOrBuilder`

    - #### getToken

          public SecurityProtos.TokenProto getToken()

      `optional .hadoop.common.TokenProto token = 2;`
      Specified by:
        `getToken` in interface `SecurityProtos.CredentialsKVProtoOrBuilder`

    - #### getTokenOrBuilder

          public SecurityProtos.TokenProtoOrBuilder getTokenOrBuilder()

      `optional .hadoop.common.TokenProto token = 2;`
      Specified by:
        `getTokenOrBuilder` in interface `SecurityProtos.CredentialsKVProtoOrBuilder`

    - #### hasSecret

          public boolean hasSecret()

      `optional bytes secret = 3;`
      Specified by:
        `hasSecret` in interface `SecurityProtos.CredentialsKVProtoOrBuilder`

    - #### getSecret

          public com.google.protobuf.ByteString getSecret()

      `optional bytes secret = 3;`
      Specified by:
        `getSecret` in interface `SecurityProtos.CredentialsKVProtoOrBuilder`

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage`

    - #### writeTo

          public void writeTo(com.google.protobuf.CodedOutputStream output)
                       throws IOException

      Specified by:
        `writeTo` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `writeTo` in class `com.google.protobuf.AbstractMessage`
      Throws:
        `IOException`

    - #### getSerializedSize

          public int getSerializedSize()

      Specified by:
        `getSerializedSize` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `getSerializedSize` in class `com.google.protobuf.AbstractMessage`

    - #### writeReplace

          protected Object writeReplace()
                                 throws ObjectStreamException

      Overrides:
        `writeReplace` in class `com.google.protobuf.GeneratedMessage`
      Throws:
        `ObjectStreamException`

    - #### equals

          public boolean equals(Object obj)

      Specified by:
        `equals` in interface `com.google.protobuf.Message`
      Overrides:
        `equals` in class `com.google.protobuf.AbstractMessage`

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in interface `com.google.protobuf.Message`
      Overrides:
        `hashCode` in class `com.google.protobuf.AbstractMessage`

    - #### parseFrom

          public static SecurityProtos.CredentialsKVProto parseFrom(com.google.protobuf.ByteString data)
                                                             throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static SecurityProtos.CredentialsKVProto parseFrom(com.google.protobuf.ByteString data,
                                                                    com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                             throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static SecurityProtos.CredentialsKVProto parseFrom(byte[] data)
                                                             throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static SecurityProtos.CredentialsKVProto parseFrom(byte[] data,
                                                                    com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                             throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static SecurityProtos.CredentialsKVProto parseFrom(InputStream input)
                                                             throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static SecurityProtos.CredentialsKVProto parseFrom(InputStream input,
                                                                    com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                             throws IOException

      Throws:
        `IOException`

    - #### parseDelimitedFrom

          public static SecurityProtos.CredentialsKVProto parseDelimitedFrom(InputStream input)
                                                                      throws IOException

      Throws:
        `IOException`

    - #### parseDelimitedFrom

          public static SecurityProtos.CredentialsKVProto parseDelimitedFrom(InputStream input,
                                                                             com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                      throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static SecurityProtos.CredentialsKVProto parseFrom(com.google.protobuf.CodedInputStream input)
                                                             throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static SecurityProtos.CredentialsKVProto parseFrom(com.google.protobuf.CodedInputStream input,
                                                                    com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                             throws IOException

      Throws:
        `IOException`

    - #### newBuilder

          public static SecurityProtos.CredentialsKVProto.Builder newBuilder()

    - #### newBuilderForType

          public SecurityProtos.CredentialsKVProto.Builder newBuilderForType()

      Specified by:
        `newBuilderForType` in interface `com.google.protobuf.Message`
      Specified by:
        `newBuilderForType` in interface `com.google.protobuf.MessageLite`

    - #### newBuilder

          public static SecurityProtos.CredentialsKVProto.Builder newBuilder(SecurityProtos.CredentialsKVProto prototype)

    - #### toBuilder

          public SecurityProtos.CredentialsKVProto.Builder toBuilder()

      Specified by:
        `toBuilder` in interface `com.google.protobuf.Message`
      Specified by:
        `toBuilder` in interface `com.google.protobuf.MessageLite`

    - #### newBuilderForType

          protected SecurityProtos.CredentialsKVProto.Builder newBuilderForType(com.google.protobuf.GeneratedMessage.BuilderParent parent)

      Specified by:
        `newBuilderForType` in class `com.google.protobuf.GeneratedMessage`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.